# $Revision: 1.3 $, $Date: 2011/07/01 14:26:03 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	parent
Summary:	parent - Establish an ISA relationship with base classes at compile time
Name:		perl-parent
Version:	0.225
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
URL:		http://search.cpan.org/dist/parent/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Source0:	http://search.cpan.org/CPAN/authors/id/C/CO/CORION/%{pdir}-%{version}.tar.gz
# Source0-md5:	cd8a62a28b3fa1c6d43973a9cb6b7796
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows you to both load one or more modules, while setting up inheritance from those modules at the same time.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes 
%{perl_vendorlib}/parent.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-parent.spec,v $
Revision 1.3  2011/07/01 14:26:03  marti
- up to 0.225

Revision 1.2  2009/10/08 11:43:03  amateja
- updated to 0.223

Revision 1.1  2008/12/10 07:13:53  arekm
- new

